Orxonox: orxonox::IRC Class Reference

# orxonox::IRC Class Reference

`#include <src/core/IRC.h>`

Inheritance diagram for orxonox::IRC:

List of all members.

## Static Public Member Functions

static IRC & | getInstance ()
static void | msg (const std::string &channel, const std::string &message)
static void | nick (const std::string &nickname)
static void | say (const std::string &message)
static void | tcl_action (Tcl::object const &channel, Tcl::object const &nick, Tcl::object const &args)
static void | tcl_info (Tcl::object const &channel, Tcl::object const &args)
static void | tcl_privmsg (Tcl::object const &query, Tcl::object const &nick, Tcl::object const &args)
static void | tcl_say (Tcl::object const &channel, Tcl::object const &nick, Tcl::object const &args)

## Private Member Functions

void | initialize ()
| IRC (const IRC &other)
| IRC ()
| ~IRC ()

## Static Private Member Functions

static bool | eval (const std::string &command)

## Private Attributes

Tcl::interpreter * | interpreter_
std::string | nickname_

## Constructor & Destructor Documentation

orxonox::IRC::IRC | ( |  | ) | `[private]`

orxonox::IRC::IRC | ( | const IRC & | other | ) | `[private]`

orxonox::IRC::~IRC | ( |  | ) | `[inline, private]`

## Member Function Documentation

bool orxonox::IRC::eval | ( | const std::string & | command | ) | `[static, private]`

References COUT, Tcl::interpreter::eval(), getInstance(), initialize(), and interpreter_.

Referenced by msg(), nick(), and say().

IRC & orxonox::IRC::getInstance | ( |  | ) | `[static]`

Referenced by eval(), msg(), nick(), and say().

void orxonox::IRC::initialize | ( |  | ) | `[private]`

References COUT, orxonox::TclThreadManager::createID(), Tcl::interpreter::def(), orxonox::TclThreadManager::execute(), orxonox::TclThreadManager::getInstance(), orxonox::TclThreadManager::getTclInterpreter(), interpreter_, orxonox::IRC_TCL_THREADID, orxonox::multi_cast(), nickname_, tcl_action(), tcl_info(), tcl_privmsg(), tcl_say(), and Tcl::variadic().

Referenced by eval().

void orxonox::IRC::msg | ( | const std::string & | channel,
|  | const std::string & | message |
| ) |  |  | `[static]`

References eval(), getInstance(), nickname_, and tcl_privmsg().

void orxonox::IRC::nick | ( | const std::string & | nickname | ) | `[static]`

References eval(), getInstance(), and nickname_.

void orxonox::IRC::say | ( | const std::string & | message | ) | `[static]`

References eval(), getInstance(), nickname_, and tcl_say().

void orxonox::IRC::tcl_action | ( | Tcl::object const & | channel,
|  | Tcl::object const & | nick,
|  | Tcl::object const & | args |
| ) |  |  | `[static]`

References COUT, Tcl::object::get(), and orxonox::stripEnclosingBraces().

Referenced by initialize().

void orxonox::IRC::tcl_info | ( | Tcl::object const & | channel,
|  | Tcl::object const & | args |
| ) |  |  | `[static]`

References COUT, Tcl::object::get(), and orxonox::stripEnclosingBraces().

Referenced by initialize().

void orxonox::IRC::tcl_privmsg | ( | Tcl::object const & | query,
|  | Tcl::object const & | nick,
|  | Tcl::object const & | args |
| ) |  |  | `[static]`

References COUT, Tcl::object::get(), and orxonox::stripEnclosingBraces().

Referenced by initialize(), and msg().

void orxonox::IRC::tcl_say | ( | Tcl::object const & | channel,
|  | Tcl::object const & | nick,
|  | Tcl::object const & | args |
| ) |  |  | `[static]`

References COUT, Tcl::object::get(), and orxonox::stripEnclosingBraces().

Referenced by initialize(), and say().

## Member Data Documentation

Tcl::interpreter* orxonox::IRC::interpreter_`[private]`

Referenced by eval(), and initialize().

std::string orxonox::IRC::nickname_`[private]`

Referenced by initialize(), msg(), nick(), and say().

The documentation for this class was generated from the following files:

- src/core/IRC.h
- src/core/IRC.cc